<?php
/**
* 2007-2016 PrestaShop
*
* NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *  @author    Metacreo <metacreo@gmail.com>
 *  @copyright 2016 metacreo
 *  @license   http://opensource.org/licenses/GPL-3.0  GNU GENERAL PUBLIC LICENSE (GPL-3.0)
*  International Registered Trademark & Property of PrestaShop SA
*/

require_once(dirname(__FILE__).'/../../config/config.inc.php');
require_once(dirname(__FILE__).'/../../init.php');
include_once(dirname(__FILE__).'/makeanoffer.php');
$module = new MakeAnOffer();
if (Tools::getValue('action')=='sendMyOffer'&&Tools::getValue('secure_key')==$module->secure_key) {
    if ($offered = Tools::getValue('offered')) {
        $offered = Tools::jsonDecode($offered, true);
        foreach ($offered as $key => $value) {
            if ($value['key'] == 'your_name') {
                $offered_name = $value['value'];
            } elseif ($value['key'] == 'your_email') {
                $offered_mail = $value['value'];
            } elseif ($value['key'] == 'your_country') {
                $offered_country = $value['value'];
            } elseif ($value['key'] == 'your_offer') {
                $offered_offer = $value['value'];
            } elseif ($value['key'] == 'your_message') {
                $offered_message = $value['value'];
            } elseif ($value['key'] == 'id_product') {
                $id_product = $value['value'];
            }
        }
    } else {
        $offered_name = Tools::getValue('name');
        $offered_mail = Tools::getValue('email');
        $offered_country = Tools::getValue('country');
        $offered_offer = Tools::getValue('offer');
        $offered_message = Tools::getValue('message');
        $id_product = Tools::getValue('id_product');
    }
    if (!$offered_name || !$offered_mail || !$offered_country || !$offered_offer || !$id_product) {
        die('0');
    }
    $id_shop = $module->context->shop->id;
    $product = new Product((int)$id_product, false, $module->context->language->id);
    $product_lnk = $module->context->link->getproductLink($product);
    $customer = $module->context->cookie->customer_firstname ? $module->context->cookie->customer_firstname.' '
    .$module->context->cookie->customer_lastname : $module->l('Visitor (Not registred)', 'makeanoffer_ajax');
    $currency = new Currency((int)$module->context->cookie->id_currency);
    $template_vars = array(
        '{product}' => $product->name,
        '{product_link}' => $product_lnk,
        '{customer}' => $customer,
        '{currency}' => $currency->iso_code,
        '{name}' => Tools::safeOutput($offered_name),
        '{email}' => Tools::safeOutput($offered_mail),
        '{country}' => Tools::safeOutput($offered_country),
        '{offer}' => Tools::safeOutput($offered_offer),
        '{message}' => Tools::safeOutput($offered_message)
    );
    $mao_emails = explode(',', Configuration::get('MAKEANOFFER_EMAILS'));
    foreach ($mao_emails as $mao_email) {
        $send = Mail::Send(
            (int)$module->context->cookie->id_lang,
            'make_an_offer',
            sprintf(
                Mail::l(
                    '%1$s sent you a offer about %2$s',
                    (int)$module->context->cookie->id_lang
                ),
                $customer,
                $product->name
            ),
            $template_vars,
            $mao_email,
            null,
            $offered_mail,
            $offered_name,
            null,
            null,
            dirname(__FILE__).'/mails/',
            null,
            $id_shop,
            null,
            $offered_mail
        );
    }
    if (!$send) {
        die('0');
    }
    die('1');
}
die('0');
