{**
 * 2007-2016 PrestaShop
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *  @author    Metacreo <metacreo@gmail.com>
 *  @copyright 2016 metacreo
 *  @license   http://opensource.org/licenses/GPL-3.0  GNU GENERAL PUBLIC LICENSE (GPL-3.0)
 *  International Registered Trademark & Property of PrestaShop SA
 *}

{if $mao_excat == 0 && $mao_exprod == 0}
{if $mao_product->quantity >= 1 || ($mao_product->quantity <= 0 && $mao_qty == 1 && $mao_act == 1)}
	<p id="make_offer" class="buttons_bottom_block btn no-print">
		<a class="maobutton btn" onclick='document.getElementById("make_offer_button").className += " offered";' href="#make_offer_form" id="make_offer_button">
        <span>{l s='Make an Offer' mod='makeanoffer'}</span></a>
	</p>
{elseif $mao_product->quantity <= 0 && $mao_qty == 1 && $mao_act == 0}
	<p id="make_offer" class="buttons_bottom_block btn no-print disabled">
		<a class="maobutton btn" href="" id="make_offer_button">
        <span>{l s='Make an Offer' mod='makeanoffer'}</span></a>
	</p>
{/if}
	<div style="display: none;">
		<div id="make_offer_form">
			<p class="page-subheading">
				{l s='Make an Offer' mod='makeanoffer'}
			</p>
			<div class="row">
				<div class="product clearfix col-xs-12 col-sm-6">
					<img src="{$link->getImageLink($mao_product->link_rewrite, $mao_product_cover, 'home_default')|escape:'html':'UTF-8'}" height="{$homeSize.height|escape:'html':'UTF-8'}" width="{$homeSize.width|escape:'htmlall':'UTF-8'}" alt="{$mao_product->name|escape:'html':'UTF-8'}" />
					<div class="product_desc">
						<p class="product_name">
							<strong>{$mao_product->name|escape:'html':'UTF-8'}</strong>
						</p>
						{$mao_product->description_short|strip_tags:'UTF-8'|truncate:200:'...'}
					</div>
				</div><!-- .product -->
				<div class="make_offer_form_content col-xs-12 col-sm-6" id="make_offer_form_content">
					<div id="make_offer_form_error"></div>
					<div id="make_offer_form_success"></div>
					<div class="form_container">
						<p class="intro_form">
							{l s='Your Offer details' mod='makeanoffer'} :
						</p>
						<p class="text">
							<label for="your_name">
								{l s='Your Name' mod='makeanoffer'} <sup class="required">*</sup> :
							</label>
							<input id="your_name" name="your_name" type="text" value=""/>
						</p>
						<p class="text">
							<label for="your_email">
								{l s='Your Email' mod='makeanoffer'} <sup class="required">*</sup> :
							</label>
							<input id="your_email" name="your_email" type="text" value=""/>
						</p>
						<p class="text">
							<label for="your_country">
								{l s='Your country' mod='makeanoffer'} <sup class="required">*</sup> :
							</label>
							<input id="your_country" name="your_country" type="text" value=""/>
						</p>
						<p class="text">
							<label for="your_offer">
								{l s='Your Offer amount' mod='makeanoffer'} ({$mao_currency->iso_code|escape:'html':'UTF-8'}) <sup class="required">*</sup> :
							</label>
							<input id="your_offer" name="your_offer" type="text" value=""/>
						</p>
						<p class="text">
							<label for="your_message">
								{l s='Message (optional)' mod='makeanoffer'} :
							</label>
                            <textarea id="your_message" name="your_message" maxlength="500"></textarea>
						</p>
						<p class="txt_required">
							<sup class="required">*</sup> {l s='Required fields' mod='makeanoffer'}
						</p>
					</div>
					<p class="submit">
						<button id="sendOffer" class="btn button button-small" name="sendOffer" type="submit">
							<span>{l s='Send Offer' mod='makeanoffer'}</span>
						</button>&nbsp;
						{l s='or' mod='makeanoffer'}&nbsp;
						<a class="closefb" href="#">
							{l s='Cancel' mod='makeanoffer'}
						</a>
					</p>
				</div> <!-- .make_offer_form_content -->
			</div>
		</div>
	</div>
{/if}
{addJsDef mao_secure_key=$mao_secure_key}
{addJsDefL name=mao_msg_success}{l s='Your Offer has been sent successfully. We will answer You as quickly as possible.' mod='makeanoffer' js=1}{/addJsDefL}
{addJsDefL name=mao_msg_error}{l s='Your Offer could not be sent. Please check the e-mail address and try again.' mod='makeanoffer' js=1}{/addJsDefL}
{addJsDefL name=mao_msg_title}{l s='Offer processing' mod='makeanoffer' js=1}{/addJsDefL}
{addJsDefL name=mao_msg_required}{l s='You did not fill required fields' mod='makeanoffer' js=1}{/addJsDefL}
